# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::DecoderParams Class Reference

Parameters for the decoding process. More...

`#include <common.h>`

Inheritance diagram for dirac::DecoderParams:

List of all members.

## Public Member Functions

- DecoderParams (const VideoFormat &video_format=VIDEO_FORMAT_CIF, PictureType ftype=INTRA_PICTURE, unsigned int num_refs=0, bool set_defaults=false)
    Default constructor.
- bool Verbose () const
    Returns true if we're operating verbosely, false otherwise.
- void SetVerbose (bool v)
    Sets verbosity on or off.

## Private Attributes

- bool m_verbose
    Code/decode with commentary if true.

## Detailed Description

Parameters for the decoding process. Derived from CodecParams.

## Constructor & Destructor Documentation

dirac::DecoderParams::DecoderParams | ( | const VideoFormat & | video_format = `VIDEO_FORMAT_CIF`,
|  | PictureType | ftype = `INTRA_PICTURE`,
|  | unsigned int | num_refs = `0`,
|  | bool | set_defaults = `false` |
| ) |  |  |

## Member Function Documentation

void dirac::DecoderParams::SetVerbose | ( | bool | v | ) | `[inline]`

References m_verbose.

bool dirac::DecoderParams::Verbose | ( |  | ) | const`[inline]`

References m_verbose.

## Member Data Documentation

bool dirac::DecoderParams::m_verbose`[private]`

Referenced by SetVerbose(), and Verbose().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.